// eslint-disable-next-line @typescript-eslint/no-var-requires
const mongoose = require('mongoose');

module.exports = {
  data: [
    {
      _id: mongoose.Types.ObjectId('5fbb933b80a5c257dc0161f5'),
      modules: [
        {
          id: '84',
          display_id: '84',
          display_name: 'Modules APTIC - n°84',
          digest: 'Pôle Emploi : faire ses déclarations en ligne',
          text: 'Pôle Emploi : faire ses déclarations en ligne',
        },
        {
          id: '85',
          display_id: '85',
          display_name: 'Modules APTIC - n°85',
          digest: 'Déclarer ses revenus en ligne et découvertes des services proposés',
          text: 'Déclarer ses revenus en ligne et découvertes des services proposés',
        },
        {
          id: '86',
          display_id: '86',
          display_name: 'Modules APTIC - n°86',
          digest: 'Accéder à ses droits sociaux et les gérer en ligne (RSA…)',
          text: 'Accéder à ses droits sociaux et les gérer en ligne (RSA…)',
        },
        {
          id: '87',
          display_id: '87',
          display_name: 'Modules APTIC - n°87',
          digest: 'Ouvrir et gérer son dossier de retraite (CNAF/CARSAT) en ligne',
          text: 'Ouvrir et gérer son dossier de retraite (CNAF/CARSAT) en ligne',
        },
        {
          id: '88',
          display_id: '88',
          display_name: 'Modules APTIC - n°88',
          digest: "Gérer son abonnement et ses factures d'électricité/gaz en ligne",
          text: "Gérer son abonnement et ses factures d'électricité/gaz en ligne",
        },
        {
          id: '89',
          display_id: '89',
          display_name: 'Modules APTIC - n°89',
          digest: "Gérer ses droits d'assuré social en ligne/sur internet",
          text: "Gérer ses droits d'assuré social en ligne/sur internet",
        },
        {
          id: '93',
          display_id: '93',
          display_name: 'Modules APTIC - n°93',
          digest: 'Plateforme Ameli.fr : la sécurité sociale en ligne',
          text: 'Plateforme Ameli.fr : la sécurité sociale en ligne',
        },
        {
          id: '95',
          display_id: '95',
          display_name: 'Modules APTIC - n°95',
          digest: 'Plateforme France Connect',
          text: 'Plateforme France Connect',
        },
      ],
      name: 'Accès aux droits',
      id: 'accessRight',
      __v: 0,
    },
    {
      modules: [
        {
          id: '260',
          display_id: '260',
          display_name: 'Modules APTIC - n°260',
          digest: 'Maitrise de l’environnement d’un ordinateur (clavier, souris)',
          text: 'Maitrise de l’environnement d’un ordinateur (clavier, souris)',
        },
        {
          id: '1',
          display_id: '1',
          display_name: 'Modules APTIC - n°1',
          digest: 'Composantes et facettes de l’identité numérique',
          text: 'Composantes et facettes de l’identité numérique',
        },
        {
          id: '11',
          display_id: '11',
          display_name: 'Modules APTIC - n°11',
          digest: 'Internet : fonctionnement et outils de navigation web',
          text: 'Internet : fonctionnement et outils de navigation web',
        },
        {
          id: '38',
          display_id: '38',
          display_name: 'Modules APTIC - n°38',
          digest: 'Le smartphone : principes de fonctionnement',
          text: 'Le smartphone : principes de fonctionnement',
        },
        {
          id: '48',
          display_id: '48',
          display_name: 'Modules APTIC - n°48',
          digest: 'Internet : envoyer, recevoir, gérer ses emails',
          text: 'Internet : envoyer, recevoir, gérer ses emails',
        },
        {
          id: '74',
          display_id: '74',
          display_name: 'Modules APTIC - n°74',
          digest: 'Smartphones et Tablettes sous Androïd',
          text: 'Smartphones et Tablettes sous Androïd',
        },
        {
          id: '77',
          display_id: '77',
          display_name: 'Modules APTIC - n°77',
          digest: "Smartphone : Les principaux gestes pour l'écran tactile",
          text: "Smartphone : Les principaux gestes pour l'écran tactile",
        },
      ],
      name: 'Les compétences de base',
      id: 'baseSkills',
      __v: 0,
    },
    {
      modules: [
        {
          id: '6',
          display_id: '6',
          display_name: 'Modules APTIC - n°6',
          digest: "Utiliser les réseaux sociaux pour sa recherche d'emploi",
          text: "Utiliser les réseaux sociaux pour sa recherche d'emploi",
        },
        {
          id: '20',
          display_id: '20',
          display_name: 'Modules APTIC - n°20',
          digest: 'Panorama des plateformes de recherche d’emploi',
          text: 'Panorama des plateformes de recherche d’emploi',
        },
        {
          id: '66',
          display_id: '66',
          display_name: 'Modules APTIC - n°66',
          digest: 'Traitement de texte : découverte',
          text: 'Traitement de texte : découverte',
        },
        {
          id: '67',
          display_id: '67',
          display_name: 'Modules APTIC - n°67',
          digest: 'Traitement de texte : utilisation de base',
          text: 'Traitement de texte : utilisation de base',
        },
        {
          id: '68',
          display_id: '68',
          display_name: 'Modules APTIC - n°68',
          digest: 'Traitement de texte : utilisation avancée',
          text: 'Traitement de texte : utilisation avancée',
        },
        {
          id: '69',
          display_id: '69',
          display_name: 'Modules APTIC - n°69',
          digest: 'Tableur : découverte',
          text: 'Tableur : découverte',
        },
        {
          id: '124',
          display_id: '124',
          display_name: 'Modules APTIC - n°124',
          digest: 'Réalisation CV',
          text: 'Réalisation CV',
        },
        {
          id: '125',
          display_id: '125',
          display_name: 'Modules APTIC - n°125',
          digest: 'Diffuser son CV en ligne',
          text: 'Diffuser son CV en ligne',
        },
        {
          id: '127',
          display_id: '127',
          display_name: 'Modules APTIC - n°127',
          digest: "Organiser sa recherche d'emploi",
          text: "Organiser sa recherche d'emploi",
        },
      ],
      name: 'Insertion sociale et professionnelle',
      id: 'socialAndProfessional',
      __v: 0,
    },
    {
      _id: mongoose.Types.ObjectId('5fbb934c80a5c257dc0161f8'),
      modules: [
        {
          id: '3',
          display_id: '3',
          display_name: 'Modules APTIC - n°3',
          digest: "Être parent à l'ère numérique: connaître les usages, jouer son rôle de parent",
          text: "Être parent à l'ère numérique: connaître les usages, jouer son rôle de parent",
        },
        {
          id: '22',
          display_id: '22',
          display_name: 'Modules APTIC - n°22',
          digest: 'Découvrir l’univers des jeux vidéo - 22',
          text: 'Découvrir l’univers des jeux vidéo',
        },
        {
          id: '82',
          display_id: '82',
          display_name: 'Modules APTIC - n°82',
          digest: 'Suivre la scolarité de son enfant - 82',
          text: 'Suivre la scolarité de son enfant',
        },
        {
          id: '94',
          display_id: '94',
          display_name: 'Modules APTIC - n°94',
          digest: "Découvrir les services en ligne de l'enfance de votre commune - 94",
          text: "Découvrir les services en ligne de l'enfance de votre commune",
        },
      ],
      name: 'Aide à la parentalité',
      id: 'parentingHelp',
      __v: 0,
    },
    {
      _id: mongoose.Types.ObjectId('5fbb935080a5c257dc0161f9'),
      modules: [
        {
          id: '2',
          display_id: '2',
          display_name: 'Modules APTIC - n°2',
          digest: 'Les conduites à risques et les bons usages du numérique - 02',
          text: 'Les conduites à risques et les bons usages du numérique',
        },
        {
          id: '5',
          display_id: '5',
          display_name: 'Modules APTIC - n°5',
          digest: 'Découvrir les réseaux sociaux : définition, fonctionnement - 05',
          text: 'Découvrir les réseaux sociaux : définition, fonctionnement',
        },
        {
          id: '9',
          display_id: '9',
          display_name: 'Modules APTIC - n°9',
          digest: 'Fablab : charte, valeurs et panorama des outils numériques - 09',
          text: 'Fablab : charte, valeurs et panorama des outils numériques',
        },
        {
          id: '28',
          display_id: '28',
          display_name: 'Modules APTIC - n°28',
          digest: 'Les paiements en ligne - 28',
          text: 'Les paiements en ligne',
        },
        {
          id: '34',
          display_id: '34',
          display_name: 'Modules APTIC - n°34',
          digest: 'Internet : comprendre les principes de fonctionnement - 35',
          text: 'Internet : comprendre les principes de fonctionnement',
        },
        {
          id: '39',
          display_id: '39',
          display_name: 'Modules APTIC - n°39',
          digest: 'Techniques de vérification de l’information - 39',
          text: 'Techniques de vérification de l’information',
        },
        {
          id: '42',
          display_id: '42',
          display_name: 'Modules APTIC - n°42',
          digest: 'Créer et paramétrer un compte Google - 42',
          text: 'Créer et paramétrer un compte Google',
        },
        {
          id: '51',
          display_id: '51',
          display_name: 'Modules APTIC - n°51',
          digest: 'Gérer ses données : sauvegarde en ligne (dans le cloud) - 51',
          text: 'Gérer ses données : sauvegarde en ligne (dans le cloud)',
        },
        {
          id: '52',
          display_id: '52',
          display_name: 'Modules APTIC - n°52',
          digest: 'Gérer ses données : sauvegardes locales (disques durs externes, clé USB) - 52',
          text: 'Gérer ses données : sauvegardes locales (disques durs externes, clé USB)',
        },
        {
          id: '54',
          display_id: '54',
          display_name: 'Modules APTIC - n°54',
          digest: 'Classer, gérer et partager ses photos - 54',
          text: 'Classer, gérer et partager ses photos',
        },
        {
          id: '65',
          display_id: '65',
          display_name: 'Modules APTIC - n°65',
          digest: 'Skype et autres outils de visioconférence - 65',
          text: 'Skype et autres outils de visioconférence',
        },
        {
          id: '96',
          display_id: '96',
          display_name: 'Modules APTIC - n°96',
          digest: 'Connaitre et gérer son identité numérique - 96',
          text: 'Connaitre et gérer son identité numérique',
        },
        {
          id: '97',
          display_id: '97',
          display_name: 'Modules APTIC - n°97',
          digest: 'Nettoyer son identité numérique - 97',
          text: 'Nettoyer son identité numérique',
        },
        {
          id: '98',
          display_id: '98',
          display_name: 'Modules APTIC - n°98',
          digest: 'Effacer ses traces sur le web, protéger ses données personnelles - 98',
          text: 'Effacer ses traces sur le web, protéger ses données personnelles',
        },
      ],
      name: 'Culture et sécurité numérique',
      id: 'digitalCultureSecurity',
      __v: 0,
    },
  ],
};
