import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty } from 'class-validator';

export class MergeEmployerDto {
  @IsNotEmpty()
  @ApiProperty({ type: String })
  sourceEmployerId: string;

  @IsNotEmpty()
  @ApiProperty({ type: String })
  targetEmployerId: string;
}
