import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { CategoriesFormationsModule } from './categoriesFormationsModule.schema';

export type CategoriesFormationsDocument = CategoriesFormations & Document;

@Schema()
export class CategoriesFormations {
  @Prop()
  name: string;

  @Prop()
  modules: CategoriesFormationsModule[];

  @Prop()
  id: string;
}

export const CategoriesFormationsSchema = SchemaFactory.createForClass(CategoriesFormations);
