import { SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { Day } from '../../structures/schemas/day.schema';

export type WeekDocument = Week & Document;

export class Week {
  monday: Day;

  tuesday: Day;

  wednesday: Day;

  thursday: Day;

  friday: Day;

  saturday: Day;

  sunday: Day;
}

export const WeekSchema = SchemaFactory.createForClass(Week);
