import { CreatePersonalOfferDto } from '../../../src/personal-offers/dto/create-personal-offer.dto';
import { PersonalOfferDto } from '../../../src/personal-offers/dto/personal-offer.dto';
import { PersonalOffer } from '../../../src/personal-offers/schemas/personal-offer.schema';

export const personalOffersDtoDataMock: PersonalOfferDto[] = [
  {
    proceduresAccompaniment: [],
    baseSkills: [],
    accessRight: [],
    digitalCultureSecurity: [],
    socialAndProfessional: [],
    parentingHelp: [],
  },
  {
    proceduresAccompaniment: ['cpam', 'impots', 'carsat', 'poleEmploi'],
    baseSkills: ['260', '1', '11', '38', '48', '74', '77'],
    accessRight: ['84', '85', '86', '87', '88', '89', '93', '95'],
    digitalCultureSecurity: ['2', '5', '9', '28', '34', '39', '42', '51', '52', '54', '65', '96', '97', '98'],
    socialAndProfessional: ['6', '20', '66', '67', '68', '69', '124', '125', '127'],
    parentingHelp: ['3', '22', '82', '94'],
  },
];

export const createPersonalOffersDtoDataMock: CreatePersonalOfferDto[] = [
  {
    structureId: '6093ba0e2ab5775cfc01ed3e',
    personalOffer: personalOffersDtoDataMock[0],
  },
  {
    structureId: '6093ba0e2ab5775cfc01fffe',
    personalOffer: personalOffersDtoDataMock[1],
  },
  {
    structureId: '6093ba0e2ab5775cfc01fffe',
    personalOffer: personalOffersDtoDataMock[0],
  },
];

export const updatePersonalOffersDtoDataMock: PersonalOfferDto[] = [
  {
    proceduresAccompaniment: [],
    baseSkills: [],
    accessRight: [],
    digitalCultureSecurity: [],
    socialAndProfessional: [],
    parentingHelp: [],
  },
  {
    proceduresAccompaniment: ['cpam', 'impots', 'carsat', 'poleEmploi'],
    baseSkills: ['260', '1', '11', '38', '48', '74', '77'],
    accessRight: ['84', '85', '86', '87', '88', '89', '93', '95'],
    digitalCultureSecurity: ['2', '5', '9', '28', '34', '39', '42', '51', '52', '54', '65', '96', '97', '98'],
    socialAndProfessional: ['6', '20', '66', '67', '68', '69', '124', '125', '127'],
    parentingHelp: ['3', '22', '82', '94'],
  },
];

export const personalOffersDataMock: PersonalOffer[] = [
  {
    _id: '1234ba0e2ab5775cfc01ed3e',
    proceduresAccompaniment: [],
    baseSkills: [],
    accessRight: [],
    digitalCultureSecurity: [],
    socialAndProfessional: [],
    parentingHelp: [],
    createdAt: 'Wed Mar 16 2022 14:29:11 GMT+0100 (heure normale d’Europe centrale)',
    updatedAt: 'Wed Mar 16 2022 17:29:11 GMT+0100 (heure normale d’Europe centrale)',
  } as PersonalOffer,
  {
    _id: '2345ba0e2ab5775cfc01ed4d',
    proceduresAccompaniment: ['cpam', 'impots', 'carsat', 'poleEmploi'],
    baseSkills: ['260', '1', '11', '38', '48', '74', '77'],
    accessRight: ['84', '85', '86', '87', '88', '89', '93', '95'],
    digitalCultureSecurity: ['2', '5', '9', '28', '34', '39', '42', '51', '52', '54', '65', '96', '97', '98'],
    socialAndProfessional: ['6', '20', '66', '67', '68', '69', '124', '125', '127'],
    parentingHelp: ['3', '22', '82', '94'],
    createdAt: 'Wed Mar 16 2022 14:29:11 GMT+0100 (heure normale d’Europe centrale)',
    updatedAt: 'Wed Mar 16 2022 17:29:11 GMT+0100 (heure normale d’Europe centrale)',
  } as PersonalOffer,
];
