import { ApiProperty } from '@nestjs/swagger';
import { IsNotEmpty } from 'class-validator';

export class MergeJobDto {
  @IsNotEmpty()
  @ApiProperty({ type: String })
  sourceJobId: string;

  @IsNotEmpty()
  @ApiProperty({ type: String })
  targetJobId: string;
}
