import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';
import { CategoriesModule } from '../categories.module';

export type CategoriesAccompagnementDocument = CategoriesAccompagnement & Document;

@Schema()
export class CategoriesAccompagnement {
  @Prop()
  name: string;

  @Prop()
  modules: CategoriesModule[];

  @Prop()
  id: string;
}

export const CategoriesAccompagnementSchema = SchemaFactory.createForClass(CategoriesAccompagnement);
