import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { Document } from 'mongoose';

export type OnlineMediationDocument = OnlineMediation & Document;

@Schema()
export class OnlineMediation {
  @Prop()
  name: string;

  @Prop()
  surname: string;

  @Prop()
  phone: string;

  @Prop()
  onlineDemarchType: string[];

  @Prop()
  dateSlot: { day: string; hours: string };
}

export const OnlineMediationSchema = SchemaFactory.createForClass(OnlineMediation);
